> ## Name

> cgGLGetTextureEnum - get the OpenGL enumerant for the texture unit associated with a parameter

> ## Synopsis

>     #include <Cg/cgGL.h>

>     GLenum cgGLGetTextureEnum( CGparameter param );

> ## Parameters

> param
>   The texture parameter for which the OpenGL texture unit enumerant will be retrieved.

> ## Return Values

> Returns a GLenum of the form GL_TEXTURE#_ARB.

> Returns GL_INVALID_OPERATION if an error occurs.

> ## Description

> cgGLGetTextureEnum returns the OpenGL enumerant for the texture unit assigned to param. The enumerant has the form GL_TEXTURE#_ARB where # is the texture unit number.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if param is not a texture parameter or if the operation fails for any other reason.

> ## History

> cgGLGetTextureEnum was introduced in Cg 1.1.

> ## See Also

> cgGLSetTextureParameter